Datel Powersaves and Legit Pokemon X cartdrige played on emuNAND

Discussion in '3DS - Flashcards & Custom Firmwares' started by PedroDJavier, Mar 9, 2014.

  1. PedroDJavier
    OP

    PedroDJavier GBAtemp Regular

    Member
    180
    20
    Oct 25, 2013
    Hi guys !

    I have a question, i have the pokemon X legit cartdrige and i play it on emunand. I know y i try to play it into a normal 3ds the savegame will be erase (because savegame encrypting is diferent). But, can i use powersaves 3ds with my emuNAND savegame?

    Thanks You very much

    EDIT: Oh, and, it will work with pokebank in a normal 3ds ?
     


  2. Arras

    Arras GBAtemp Guru

    Member
    5,858
    2,673
    Sep 14, 2010
    Netherlands
    Good question actually. I don't know about the powersaves, but I'd say it's unlikely that it will work with Pokebank on a 3DS that has 6.X+ installed (which is required for Pokebank) because of the save game issues.
     
  3. cearp

    cearp the ticket master

    Member
    7,472
    4,709
    May 26, 2008
    Tuvalu
    i think i read somewhere that the powersave thing does work with the gateway save encryption :)
     
  4. justln

    justln GBAtemp Advanced Fan

    Member
    708
    276
    Aug 16, 2013
    Pokebank will not detect the Emunand Retail Pokemon X/Y cartridge, tried it myself. 1 XL for Gateway and 1 for retail cartridges.
     
  5. aXXo

    aXXo GBAtemp Regular

    Member
    130
    36
    Mar 14, 2009
    United States
    Since your Gateway still encrypts games using firmware 4.5 instead of the 6.3.0 required, I don't know if Datel Powersaves will be able to open those saves, much less convert them to 6.3.0. Also, pokebank won't work with emunand since it can read the encryption keys of the cartridge and immediately tell that it's 4.5 encryption keys.
     
  6. PedroDJavier
    OP

    PedroDJavier GBAtemp Regular

    Member
    180
    20
    Oct 25, 2013
    Ok, thanks. Only way is gateway 3ds make a save converter to convert it to the new encrypting method. :yaysp: If they release any new firmware...

    EDIT: MT Card 1.1 firmware use the same keys to crypt? (old keys like gateway? )
     
  7. Technicmaster0

    Technicmaster0 GBAtemp Psycho!

    Member
    3,065
    633
    Oct 22, 2011
    Gambia, The
    Do you have them? Why don't you test it by yourself in that case?
    Yeah, they use the same keys.
     
  8. PedroDJavier
    OP

    PedroDJavier GBAtemp Regular

    Member
    180
    20
    Oct 25, 2013

    To test what ?
     
  9. Technicmaster0

    Technicmaster0 GBAtemp Psycho!

    Member
    3,065
    633
    Oct 22, 2011
    Gambia, The
    Do you have the encryption keys? In that case you could've used them to look whether they still work or not.
     
  10. PedroDJavier
    OP

    PedroDJavier GBAtemp Regular

    Member
    180
    20
    Oct 25, 2013

    :wacko: I have not the encryption keys, i only said the theory of how it works, and why can´t we use it with powersaves. Powersaves is made to modify the pokemon X/Y saves that are encrypted with the new key, they didn´t think that a 1% of the pepople who have Pokemon x/y will use gateway 3ds and gateway 3ds uses an old encryption key.
     
  11. unlimited497

    unlimited497 Member

    Newcomer
    25
    3
    Aug 14, 2013
    United States
    I try it already, Powersaves will not be able to add cheats to your save if you use gateway emunand. For now if you want to use Powersaves you need to use a non-gateway 3DS, latest FW update.
     
  12. JohnTravolski

    JohnTravolski GBAtemp Regular

    Member
    124
    7
    Jul 9, 2015
    United States
    I started my Omega Ruby cartridge retail game on a non-hacked 3DS. I don't have a Gateway card, but I do have a CFW and SaveDataFiler. My sysNAND is 4.2 and my emuNAND is 9.8. Is there some way I can make my old save playable on emuNAND? Right now it's only playable on sysNAND 7.2 and higher (my non-hacked 3DS).
     
  13. VerseHell

    VerseHell GBAtemp Psycho!

    Member
    3,067
    1,067
    Jun 29, 2014
    France
    Backup your nand, update your console with the game, extract your save with sdf and rxtools, restore your 4.X nand backup then restore the save on a rom/cia (you can also restore it on the cartdrige, but it won't work anymore on an updated console)
     
  14. JohnTravolski

    JohnTravolski GBAtemp Regular

    Member
    124
    7
    Jul 9, 2015
    United States
    So, to be sure, you're saying that I should update my sysNAND to 7.2 (that's what it needs for Omega Ruby to be playable) by letting Omega Ruby update it when I try to play it, then after I extract the save (should SaveDataFiler be on the sysNAND or emuNAND?) I use the Gateway software thing to downgrade the sysNAND back to 4.2 and then use SDF on a ROM or CIA to get my save back? Then it'll be playable on emuNAND?

    If what I've said above is correct, is the only reason I have to update my sysNAND to 7.2 so that SDF can extract the save? I don't understand the importance of this step.
     
  15. VerseHell

    VerseHell GBAtemp Psycho!

    Member
    3,067
    1,067
    Jun 29, 2014
    France
    Sdf won't detect your save if you stay on 4.X, even with an updated emunand. And yes you can use sdf on your emunand with rxtools.
     
  16. JohnTravolski

    JohnTravolski GBAtemp Regular

    Member
    124
    7
    Jul 9, 2015
    United States
    I didn't know that. Thanks so much! I have a few more questions, though:
    • Can you point me to some good tutorials of how to use SDF? I haven't found any that I understand (I'm a bit of a n00b here).
    • What's the earliest version that SDF does detect the save? I'm sure 7.2 will work, but I'm just curious.
     
  17. VerseHell

    VerseHell GBAtemp Psycho!

    Member
    3,067
    1,067
    Jun 29, 2014
    France
  18. JohnTravolski

    JohnTravolski GBAtemp Regular

    Member
    124
    7
    Jul 9, 2015
    United States
    Hmm...
    This is what I'm trying to accomplish with my Omega Ruby game:

    However, he (KashiToxicBlood in the comments) says that he found some way to play Omega Ruby on the latest emuNAND and still have 4.2 sysNAND. Unfortunately, he's not very good at explaining, so I'm not sure how he went about accomplishing that, because he uses SDF on a regular basis to change those backgrounds. However, according to you, he can't use SDF if his sysNAND isn't above 4.X. So I'm confused.
     
  19. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    11,837
    5,005
    Mar 17, 2010
    Norway
    Alola
    You can update your sysNAND to 6.0+ but then you will have to either use the spider exploit to launch CFW, or update to 9.0-9.2, downgrade mset and use CakesFW.
    It's a bit more effort than using SaveDataFiler, but it would be worth it, as any cartridge would load and save properly like a legit 3DS.
     
  20. VerseHell

    VerseHell GBAtemp Psycho!

    Member
    3,067
    1,067
    Jun 29, 2014
    France
    I didn't say you coumdn't use sdf on 4.X, I said that you can't use it to extract a pokemon save played on an updated console. But it works fine on 4.X with the rom/cia.